00:06 gcd left 00:07 reportable6 left 00:08 reportable6 joined 00:49 vrurg joined, vrurg_ left 01:12 ocomporto joined 01:15 Kaiepi left
Anton Antonov Yes, it is neat. 01:26
02:02 jgaz joined, jgaz left 02:33 frost joined 03:12 zmoment left 03:22 Guest35 left 03:36 zmoment joined 03:47 Kaiepi joined 03:58 vrurg left, vrurg joined 04:52 archenoth joined 04:54 Oshawott left 04:58 frost left 05:32 kylese joined 05:44 lizmat joined 05:54 japhb joined 06:07 reportable6 left 06:10 reportable6 joined 06:48 abraxxa joined 06:51 Sgeo left 06:52 abraxxa left 06:53 abraxxa joined, Sgeo joined 06:58 lizmat left, Sgeo left
nine drakonis: RakuAST is still missing support for a lot of features. Some of them rather difficult (like support for parametric roles and BEGIN time execution that I'm currently working on) but many of them are just adding missing parts to the grammar (with the old grammar as template) and implementing new RakuAST classes to represent them (again with templates available). 07:10
I got into RakuAST by simply building rakudo and running RAKUDO_RAKUAST=1 ./rakudo-m -Ilib t/12-rakuast/literals.t (because I guessed it might be one of the easier ones) and following up on any error message that would come up. A few weeks later, RakuAST could compile Test.rakumod. 07:13
07:33 mexen joined 07:57 archenoth left, archenoth joined 08:57 linkable6 left, shareable6 left, unicodable6 left, reportable6 left, bisectable6 left, releasable6 left, committable6 left, notable6 left, coverable6 left, statisfiable6 left, nativecallable6 left, sourceable6 left, tellable6 left, benchable6 left, quotable6 left, bloatable6 left, greppable6 left, evalable6 left 08:58 sourceable6 joined, coverable6 joined, unicodable6 joined, notable6 joined, bisectable6 joined, benchable6 joined 08:59 statisfiable6 joined, shareable6 joined, committable6 joined, greppable6 joined 09:00 tellable6 joined, reportable6 joined, bloatable6 joined, releasable6 joined, linkable6 joined, quotable6 joined, nativecallable6 joined, evalable6 joined 09:27 Sankalp left 09:31 frost joined 09:33 MasterDuke left 09:34 Sankalp joined 09:37 jjido joined 09:48 jjido left 10:26 Sankalp left 10:34 Sankalp joined 10:39 Kaiepi left 10:47 jjido joined 10:50 lichtkind joined 11:04 Kaiepi joined 11:08 lichtkind left, lichtkind joined
leont I could use some naming feedback on github.com/Leont/app-prove6/issues/10 11:09
Nemokosch Oh Leon 11:21
just rewatched your presentation from last year
slowly but surely I will remember the people
leont :-) 11:26
11:56 frost left 12:08 reportable6 left, reportable6 joined
Anton Antonov Can you post the link? 12:11
Nemokosch www.youtube.com/watch?v=elalwvfmYgk 12:13
12:33 Sankalp is now known as _ 12:34 _ is now known as Guest5090 12:37 Guest5090 is now known as Sankalp 12:42 abraxxa left 12:43 jjido left, abraxxa joined 12:48 abraxxa left 12:49 abraxxa joined
how can I manipulate bytes? I need to convert endianity of integers 13:10
leont My beard was so long back then 🙈 13:11
moritz see the Blob/Buf types
leont Yeah, write-uint-64 and friends are useful for that 13:12
perryprog You can do any($a, $b) > 2?!?!? 13:13
I can't believe I didn't know that. That's something I've always wanted in other languages when writing long conditionals. 13:14
Nemokosch pretty handy isn't it 13:15
leont You can even do things like %hash{any($a, $b)} > 2 13:18
Nemokosch Buf does the trick, thank you 13:28
perryprog Reinstalling raku... is there any advantage over using Linenoise versus Terminal::LineEditor for the repl? 13:29
Or just readline
Nemokosch autocomplete abilities surely differ 13:31
but I don't know how they compare exactly 13:32
13:33 mexen left 13:39 Guest35_ joined
leont would really like an asynchronous readline implementation 13:49
13:58 ocomporto left
japhb Terminal::LineEditor should I believe be a superset of Linenoise in current capability 14:07
(If there's something that Linenoise's Rakudo integration does that Terminal::LineEditor does *not*, I'd like to know.) 14:08
14:09 japhb left 14:12 Sgeo joined 14:19 morte_ joined
Nemokosch again, I can vaguely recall something with autocompletion 14:29
not sure if was Linenoise though
15:19 linkable6 left, evalable6 left 15:20 evalable6 joined 15:22 linkable6 joined
Anton Antonov I made the mistake to install Terminal::LineEditor (just now.) After that starting raku produces infinite stream of messages. 15:24
15:26 abraxxa left
Nemokosch or, you made the mistake to use Mac 15:27
15:32 morte_ left 15:57 dextercd joined 15:58 Sgeo left 16:01 Sgeo joined 17:01 nativecallable6 left, notable6 left, bloatable6 left, reportable6 left, coverable6 left, sourceable6 left, releasable6 left, benchable6 left, unicodable6 left, shareable6 left, bisectable6 left, greppable6 left, statisfiable6 left, evalable6 left, quotable6 left, tellable6 left, linkable6 left, committable6 left, tellable6 joined, unicodable6 joined 17:02 greppable6 joined, sourceable6 joined, benchable6 joined, bisectable6 joined, reportable6 joined, committable6 joined, nativecallable6 joined, quotable6 joined 17:03 bloatable6 joined, evalable6 joined, coverable6 joined, releasable6 joined, shareable6 joined 17:04 statisfiable6 joined, notable6 joined, linkable6 joined 17:08 kylese left 17:14 n1to joined 18:07 reportable6 left 18:08 reportable6 joined 18:12 Kaiepi left, Kaiepi joined 18:49 Sgeo left, Xliff left 18:57 Sgeo joined 19:05 vrurg left 19:06 vrurg joined 19:15 juanfra__ left 20:07 melezhik joined
melezhik hi community! what's up? 20:07
perryprog o/ 20:11
Anton Antonov <@779471841270038528> Maybe I fixed the bug you reported to one of my packages a month ago... 20:23
melezhik Anton - should you bump a version of Pretty::Table as well? - it still fails - sparrowhub.io:2222/report/531 20:38
Anton Antonov There is a new version -- 0.0.3 -- of the package "Text::Wrap", but an old one is picked with zef install (0.0.1). Please see my comments at GitHub: github.com/antononcube/Raku-Data-R...s/issues/1 20:56
ugexe if your distribution requires a specific or minimum version of a dependency you should declare that 21:03
"depends" : [ "Text::Wrap:ver<0.0.3+>" ] 21:05
if you have `"depends" : [ "Text::Wrap" ]` that is the same as `"depends" : [ "Text::Wrap:ver<*>" ]`, and if someone already has Text::Wrap:ver<0.0.1> installed that would fulfill that requirement based on that META6.json 21:06
21:07 linkable6 left, evalable6 left
ugexe as for why its choosing 0.0.1 automatically its because the fez ecosystem is preferred over the other ecosystems 21:07
your 0.0.3 is not available through the fez ecosystem 21:08
21:08 lichtkind left, evalable6 joined, linkable6 joined
ugexe declaring your dependency like i mentioned before would force it to not select the 0.0.1 found in the fez ecosystem 21:09
also note that when you do `zef install Foo::Bar` is looks at modules within a distribution. the _ distribution apparently provides a Text::Wrap 21:10
Anton Antonov @ugexe Thanks! I hope that will fix the issue. Just to be clear, my package "Data::Reshapers" depends on "Pretty::Table", which depends "Text::Wrap". I was not that aware of "Text::Wrap" before starting to look into this issue...
Ah, good to know. 21:11
ugexe you could still declare the transitive dependency in your top level module to pin it, although yeah its a little less than ideal
Anton Antonov @ugexe Thanks! I hope that will fix the issue. Just to be clear, my package "Data::Reshapers" depends on "Pretty::Table", which depends on "Text::Wrap". I was not that aware of "Text::Wrap" before starting to look into this issue... 21:12
ugexe github.com/codesections/_/blob/main/META6.json is the other distribution with a Text::Wrap fwiw 21:13
21:14 n1to left
Anton Antonov @ugexe I just put in dependency in the form you suggested and uploaded the new version of "Pretty::Table" to PAUSE. (The installation worked without on my laptop.) 21:21
21:30 Kaiepi left 21:31 Kaiepi joined 21:56 [Coke] left 22:06 [Coke] joined 22:10 dextercd left 22:42 melezhik left, jjido joined 22:59 euandreh left 23:34 gcd joined 23:51 jjido left